package org.enfi.modules.visitor.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * (申请)微信用户表
 * </p>
 *
 * @author WANG HAO
 * @since 2021-11-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("visitor_apply_for_user")
@ApiModel(value="ApplyForUser对象", description="(申请)微信用户表")
public class ApplyForUser extends Model<ApplyForUser> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "昵称")
    @TableField("wx_nickname")
    private String wxNickname;

    @ApiModelProperty(value = "地址")
    @TableField("wx_address")
    private String wxAddress;

    @ApiModelProperty(value = "国家")
    @TableField("wx_country")
    private String wxCountry;

    @ApiModelProperty(value = "身份")
    @TableField("wx_province")
    private String wxProvince;

    @ApiModelProperty(value = "城市")
    @TableField("wx_city")
    private String wxCity;

    @ApiModelProperty(value = "性别")
    @TableField("wx_sex")
    private String wxSex;

    @ApiModelProperty(value = "头像")
    @TableField("wx_headimgurl")
    private String wxHeadimgurl;

    @ApiModelProperty(value = "openid")
    @TableField("wx_openid")
    private String wxOpenid;

    @ApiModelProperty(value = "企业用户标识")
    @TableField("wx_unionid")
    private String wxUnionid;

    @ApiModelProperty(value = "手机号")
    @TableField("wx_phone")
    private String wxPhone;

    @ApiModelProperty(value = "创建人")
    @TableField("create_by")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    @TableField("update_by")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    private Date updateTime;

    @Override
    public Serializable pkVal() {
        return this.id;
    }



}
